import java.util.Date;
import java.util.GregorianCalendar;
import java.text.SimpleDateFormat;
import java.text.DateFormat;
class FormatosDeFechaYHora{
    public static void main(String[] args) {
    	 final String programa="PruebaFechaActual";
         Ip.escribeMensaje("Inicia la ejecucion del programa "+ programa);
         //Formatos de fecha disponibles	      
	     //Definir la variables
		 Date fechaActual = new Date();
		 //Definir la instancia de los formatos predefinidos
		 DateFormat formPorDefecto = DateFormat.getDateInstance();
		 DateFormat formCorto = DateFormat.getDateInstance(DateFormat.SHORT);
		 DateFormat formMediano = DateFormat.getDateInstance(DateFormat.MEDIUM);
		 DateFormat formLargo = DateFormat.getDateInstance(DateFormat.LONG);
		 DateFormat formCompleto = DateFormat.getDateInstance(DateFormat.FULL); 
		 //Utilizar en la variable previamente definida tipo Date los formatos
		 String fechaPorDefecto = formPorDefecto.format(fechaActual);
		 String fechaCorta      = formCorto.format(fechaActual);
		 String fechaMediana    = formMediano.format(fechaActual);
		 String fechaLarga      = formLargo.format(fechaActual);
		 String fechaCompleta   = formCompleto.format(fechaActual);

	     //Mostrar los resultados
	     Ip.wescribeMensaje("Formatos predefinidos en DateFormat\n" +
	                         "Por Defecto (" + fechaPorDefecto + ")"+
	                         "\nSHORT     (" + fechaCorta + ")"+
	                         "\nMEDIUM    (" + fechaMediana + ")"+
	                         "\nLONG      (" + fechaLarga + ")"+
	                         "\nFULL      (" + fechaCompleta + ")");
        
        //Facilidades del GregorianCalendar
        //Definir una instancia del calendario
        GregorianCalendar calendario = new GregorianCalendar();
        //Utilizar el calendario para extraer infromacion y mostrarla
        Ip.wescribeMensaje("Infromacion Extraida del GregorianCalendar\n" +
        "\nda de hoy es : " +calendario.getTime() +  
        "\nda de la semana: " +calendario.get(GregorianCalendar.DAY_OF_WEEK)+ 
        "\nnumero semana en el mes: " + calendario.get(GregorianCalendar.DAY_OF_WEEK_IN_MONTH) + 
        "\nnumero del mes -1: " + calendario.get(GregorianCalendar.MONTH));
        
        //Generar formatos definidos arbitrariamente por el usuario.
		SimpleDateFormat formFechaYHora  = new SimpleDateFormat("dd-MMMM-yyyy HH:mm:ss");
		SimpleDateFormat formFechaMex    = new SimpleDateFormat("dd/MM/yyyy");
		SimpleDateFormat formatoFechaUsa = new SimpleDateFormat("yyyy/MM/dd");
		//Utilizar los formatos, puede usarse la fecha actual o del calendario
		String fechaYHora     = formFechaYHora.format(fechaActual);
		String fechaMex       = formFechaMex.format(calendario.getTime());
		String fechaUsa       = formatoFechaUsa.format(calendario.getTime());
	    //Mostrar los resultados
	    Ip.wescribeMensaje("Formatos definidos arbirariamente \npor el usuario para Fechas\n" +
	                         "\nformato Fecha con la hora   (" + fechaYHora + ")" +
	                         "\nformato Fecha Mex. DDMMAAAA (" + fechaMex + ")" +
	                         "\nformato Fecha Usa  AAAAMMDD (" + fechaUsa + ")");
	    
	    //Generar formatos definidos arbitrariamente 
		//por el usuario para la hora.
		SimpleDateFormat formHora         = new SimpleDateFormat("HH");
		SimpleDateFormat formMins         = new SimpleDateFormat("mm");
		SimpleDateFormat formHoraCompleta = new SimpleDateFormat("HH:mm:ss");
		//Utilizar los formatos en el calendario
		String Hora         = formHora.format(calendario.getTime());
		String Minutos      = formMins.format(calendario.getTime());
		String HoraCompleta = formHoraCompleta.format(calendario.getTime());

	    //Mostrar los resultados
	    Ip.wescribeMensaje("Formatos definidos arbirariamente \npor el usuario para la hora\n"  +
	                         "\nHoras (" + Hora + ")" +
	                         "\nMinutos (" + Minutos + ")" +
	                         "\nHoraCompleta HH:MM:SS (" + HoraCompleta  + ")");
          
	      Ip.escribeMensaje("Termina la ejecucion del programa "+ programa);
	    }
	}
